National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2013-5696 Detail

Current Description

inc/central.class.php in GLPI before 0.84.2 does not attempt to make install/install.php unavailable after an installation is completed, which allows remote attackers to conduct cross-site request forgery (CSRF) attacks, and (1) perform a SQL injection via an Etape_4 action or (2) execute arbitrary PHP code via an update_1 action.

Source:  MITRE
Description Last Modified:  09/22/2013
View Analysis Description

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 6.8 MEDIUM
Vector: (AV:N/AC:M/Au:N/C:P/I:P/A:P) (V2 legend)
Impact Subscore: 6.4
Exploitability Subscore: 8.6


Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (AU): None
Confidentiality (C): Partial
Integrity (I): Partial
Availability (A): Partial
Additional Information:
Allows unauthorized disclosure of information
Allows unauthorized modification
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://www.glpi-project.org/spip.php?page=annonce&id_breve=308 Patch
https://forge.indepnet.net/issues/4480
https://forge.indepnet.net/projects/glpi/repository/revisions/21753 Patch
https://forge.indepnet.net/projects/glpi/repository/revisions/21753/diff/branches/0.84-bugfixes/inc/central.class.php Patch
https://www.navixia.com/blog/entry/navixia-finds-critical-vulnerabilities-in-glpi-cve-2013-5696.html Exploit

Technical Details

Vulnerability Type (View All)

  • Cross-Site Request Forgery (CSRF) (CWE-352)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:glpi-project:glpi:0.5:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.5:rc1:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.5:rc2:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.6:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.6:rc1:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.6:rc2:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.6:rc3:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.20:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.21:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.30:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.31:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.40:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.41:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.42:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.51:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.51a:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.65:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.65:rc1:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.65:rc2:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.68:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.68:rc1:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.68:rc2:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.68:rc3:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.68.1:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.68.2:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.68.3:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.70:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.70:rc1:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.70:rc2:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.70:rc3:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.70.1:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.70.2:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.71:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.71.1:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.71.1:rc1:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.71.1:rc2:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.71.1:rc3:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.71.2:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.71.3:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.71.4:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.71.5:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.71.6:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.72:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.72:rc1:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.72:rc2:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.72:rc3:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.72.1:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.72.2:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.72.3:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.72.4:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.78:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.78.1:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.78.2:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.78.3:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.78.4:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.78.5:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.80:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.80.1:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.80.2:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.80.3:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.80.4:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.80.5:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.80.6:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.80.7:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.80.61:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.83:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.83.1:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.83.2:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.83.3:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.83.4:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.83.5:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.83.6:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.83.7:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.83.8:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.83.9:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.83.31:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.83.91:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:0.84:*:*:*:*:*:*:*
cpe:2.3:a:glpi-project:glpi:*:*:*:*:*:*:*:*    versions up to (including) 0.84.1

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

1 change record found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2013-5696
NVD Published Date:
09/22/2013
NVD Last Modified:
09/23/2013